Name: libaio
Version: 0.3.109
Release: alt1

Packager: Victor Forsiuk <force@altlinux.org>

Summary: Linux-native asynchronous I/O access library
License: LGPLv2+
Group: System/Libraries

URL: http://pkgs.fedoraproject.org/gitweb/?p=libaio.git
Source: ftp://ftp.kernel.org/pub/linux/libs/aio/libaio-%version.tar.bz2
Patch1: libaio-install-to-slash.patch

# 0.3.109 supports ARM architecture.
#ExclusiveArch: %ix86 x86_64

%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a richer
API and capability set than the simple POSIX async I/O facility. This library,
libaio, provides the Linux-native API for async I/O. The POSIX async I/O
facility requires this library in order to provide kernel-accelerated async I/O
capabilities, as do applications which require the Linux-native async I/O API.

%package devel
Summary: Development files for Linux-native asynchronous I/O access
Group: Development/C
Requires: libaio = %version-%release

%description devel
This package provides header files to include and libraries to link with
for the Linux-native asynchronous I/O facility ("async I/O", or "aio").

%prep
%setup
%patch1 -p1

%build
#subst 's/ -O./ %optflags/' Makefile
%make_build

%install
%make destdir=%buildroot prefix=/ libdir=/%_lib usrlibdir=%_libdir \
    includedir=%_includedir install

%files
/%_lib/*.so.*
%exclude %_libdir/*.a

%files devel
%_libdir/*.so
%_includedir/*

%changelog
* Mon Oct 18 2010 Victor Forsiuk <force@altlinux.org> 0.3.109-alt1
- 0.3.109

* Wed Aug 26 2009 Victor Forsyuk <force@altlinux.org> 0.3.107-alt2
- Move library to /lib (close: ALT#21230).

* Mon Dec 15 2008 Victor Forsyuk <force@altlinux.org> 0.3.107-alt1
- 0.3.107

* Mon Apr 07 2008 Victor Forsyuk <force@altlinux.org> 0.3.106-alt2
- One-letter spec fix, library symlink should be owned only by -devel.

* Mon Apr 10 2006 Victor Forsyuk <force@altlinux.ru> 0.3.106-alt1
- 0.3.106

* Fri Jul 29 2005 Victor Forsyuk <force@altlinux.ru> 0.3.104-alt1
- Initial build.
